Deletes a relationship, either the unique ID or the customer/partner ID combination
Permission Level: Read-Write
DELETE /tenants/relationships/{identifier}
Operation id: CustomerPartnerRelationshipService_DeleteRelationship
Tags: CustomerPartnerRelationshipService
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
identifier | string | Yes | The unique identifier of the relationship (id or concat cust-part id) |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Response models
200 — A successful response.
Content type: application/json
Schema
{
"type": "object",
"properties": {}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}